package com.multictrl.modules.sys.service;

import com.multictrl.common.page.PageData;
import com.multictrl.common.service.BaseService;
import com.multictrl.modules.sys.dto.SysDictDataDTO;
import com.multictrl.modules.sys.entity.SysDictDataEntity;

import java.util.List;
import java.util.Map;

/**
 * 数据字典
 *
 * @author Sdy
 */
public interface SysDictDataService extends BaseService<SysDictDataEntity> {

    PageData<SysDictDataDTO> page(Map<String, Object> params);

    SysDictDataDTO get(Long id);

    void save(SysDictDataDTO dto);

    void update(SysDictDataDTO dto);

    void delete(Long[] ids);

    //获取指定类型
    List<SysDictDataDTO> getDictDataByType(String type);

}